Package org.eclipse.emf.cdo.server

## Interface IUnitManager

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<IUnit>`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `InternalUnitManager`

      public interface IUnitManager
      extends org.eclipse.net4j.util.container.IContainer<IUnit>

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IUnit` | `createUnit​(CDOID rootID, IView view, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |
    `IRepository` | `getRepository()` |
    `IUnit` | `getUnit​(CDOID rootID)` |
    `IUnit[]` | `getUnits()` |
    `java.util.Map<CDOID,​CDOID>` | `getUnitsOf​(java.util.Set<CDOID> ids, CDORevisionProvider revisionProvider)` |
    `boolean` | `isUnit​(CDOID rootID)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getRepository

          IRepository getRepository()

    - #### createUnit

          IUnit createUnit​(CDOID rootID,
                           IView view,
                           CDORevisionHandler revisionHandler,
                           org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

    - #### isUnit

          boolean isUnit​(CDOID rootID)

    - #### getUnit

          IUnit getUnit​(CDOID rootID)

    - #### getUnits

          IUnit[] getUnits()

    - #### getUnitsOf

          java.util.Map<CDOID,​CDOID> getUnitsOf​(java.util.Set<CDOID> ids,
                                                      CDORevisionProvider revisionProvider)